Page MenuHomePhabricator

Include bad title reason in output of ApiPageSet
Closed, ResolvedPublic

Description

With gerrit patch https://gerrit.wikimedia.org/r/#/c/132410/ the reason why a title is invalid is now better reachable and may can be included into the api with optional error message when doing processing with the ApiPageSet (action=query and friends).

For example this can be used by the LinkDialog in WikiEditor which at the moment just say "Invalid title" when typing invalid characters.

Event Timeline

Umherirrender raised the priority of this task from to Needs Triage.
Umherirrender updated the task description. (Show Details)
Umherirrender added a project: MediaWiki-API.
Umherirrender added a subscriber: Umherirrender.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 5 2015, 7:42 PM
Anomie moved this task from Unsorted to Needs Code on the MediaWiki-API board.May 5 2015, 8:04 PM

Change 209304 had a related patch set uploaded (by Anomie):
ApiPageSet: Indicate why a title was invalid

https://gerrit.wikimedia.org/r/209304

Anomie claimed this task.May 6 2015, 7:38 PM
Anomie set Security to None.
Anomie moved this task from Needs Code to Needs Review on the MediaWiki-API board.

Change 209304 merged by jenkins-bot:
ApiPageSet: Indicate why a title was invalid

https://gerrit.wikimedia.org/r/209304

Anomie closed this task as Resolved.May 14 2015, 6:47 PM